Package org.eclipse.birt.report.model.api.elements.table

# Class LayoutTableModel

java.lang.Object
org.eclipse.birt.report.model.api.elements.table.LayoutTableModel

public class LayoutTableModel extends Object
The table model for the UI render. It encapsulates details about the unclear layout of table elment in the design files.

## Constructor Summary

Constructors
Constructor
Description
`LayoutTableModel(TableHandle table)`
Constructs a `LayoutTableModel` with the given table element.

## Method Summary

Modifier and Type
Method
Description
`CellHandle`
`getCell(int rowPosn, int colPosn)`
Returns the cell at the given position.
`CellHandle`
`getCell(int slotId, int rowId, int colId)`
Return a cell element with the given poistion.
`CellHandle`
`getCell(int groupLevel, int slotId, int rowId, int colId)`
Return a cell element with the given poistion.
`int`
`getColumnCount()`
Returns the column count in the table.
`LayoutGroup`
`getLayoutGroup(int groupLevel)`
Returns the layout group with the given group level.
`LayoutSlot`
`getLayoutSlotDetail()`
Returns the detail slot.
`LayoutSlot`
`getLayoutSlotFooter()`
Returns the footer slot.
`LayoutSlot`
`getLayoutSlotHeader()`
Returns the header slot.
`int`
`getRowCount()`
Returns the column count in the table.
`TableHandle`
`getTable()`
Returns the table to which the layout model belongs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LayoutTableModel

public LayoutTableModel(TableHandle table)
Constructs a `LayoutTableModel` with the given table element.

Parameters:
  `table` - the handle of the table element

## Method Details

### getLayoutSlotHeader

public LayoutSlot getLayoutSlotHeader()
Returns the header slot.

Returns:
  the header slot

### getLayoutSlotDetail

public LayoutSlot getLayoutSlotDetail()
Returns the detail slot.

Returns:
  the detail slot

### getLayoutSlotFooter

public LayoutSlot getLayoutSlotFooter()
Returns the footer slot.

Returns:
  the footer slot

### getTable

public TableHandle getTable()
Returns the table to which the layout model belongs.

Returns:
  the handle of the table element

### getLayoutGroup

public LayoutGroup getLayoutGroup(int groupLevel)
Returns the layout group with the given group level.

Parameters:
  `groupLevel` - the 1-based group level
Returns:
  the layout group

### getColumnCount

public int getColumnCount()
Returns the column count in the table.

Returns:
  the column count in the table.

### getRowCount

public int getRowCount()
Returns the column count in the table.

Returns:
  the column count in the table.

### getCell

public CellHandle getCell(int slotId, int rowId, int colId)
Return a cell element with the given poistion. Uses this method to find cells in Table Header, Detail and Footer slots.

Parameters:
  `slotId` - the slot index,
  `rowId` - the 1-based row index
  `colId` - the 1-based column index
Returns:
  the cell element. If no cell on the position, return `null`.

### getCell

public CellHandle getCell(int groupLevel, int slotId, int rowId, int colId)
Return a cell element with the given poistion. Uses this method to find cells in Table Header, Detail and Footer slots.

Parameters:
  `groupLevel` - the 1-based group level
  `slotId` - the slot index,
  `rowId` - the 1-based row index
  `colId` - the 1-based column index
Returns:
  the cell element. If no cell on the position, return `null`.

### getCell

public CellHandle getCell(int rowPosn, int colPosn)
Returns the cell at the given position. The table is viewed as be constructed by a set of flattened rows. Each row has a set of cells. Please note that the return `CellHandle` is an element that occupies the given position in the layout rendering.

For example, if a cell occupies the position (1, 1) and (1, 2), return `CellHandle`s with parameters (1, 1) and (1, 2) are same.

Parameters:
  `rowPosn` - the 1-based row position
  `colPosn` - the 1-based column position
Returns:
  the cell handle at the given position